import junit.framework.TestCase;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;

import static org.junit.Assert.*;

/*
Classe de test pour savoir si les dames existent avec une couleur.
 */
public class TestDame {
    @Parameterized.Parameter
    protected Dame dame;
    @Parameterized.Parameter
    protected Dame dame2;

    @Before
    public void setUP(){
        dame = new Dame(Piece.BLANC);
        dame2 = new Dame(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", dame.getCoul());
        Assert.assertEquals("N", dame2.getCoul());
    }

}